import unittest
import cadquery as Cq
import nhf.joints

class TestJoints(unittest.TestCase):

    def test_joint_hirth(self):
        j = nhf.joints.hirth_joint()
        assert isinstance(j.val().solids(), Cq.Solid),\
            "Hirth joint must be in one piece"
    def test_joints_hirth_assembly(self):
        nhf.joints.hirth_assembly()
    def test_joints_comma_assembly(self):
        nhf.joints.comma_assembly()

if __name__ == '__main__':
    unittest.main()
