import unittest
import cadquery as Cq
import nhf.touhou.houjuu_nue as M

class Test(unittest.TestCase):

    def test_hs_joint_parent(self):
        p = M.Parameters()
        obj = p.hs_joint_parent()
        assert isinstance(obj.val().solids(), Cq.Solid), "H-S joint must be in one piece"
    def test_wing_root(self):
        p = M.Parameters()
        obj = p.wing_root()
        assert isinstance(obj.solids(), Cq.Solid), "Wing root must be in one piece"
    def test_wings(self):
        p = M.Parameters()
        p.wing_r1()
    def test_harness(self):
        p = M.Parameters()
        p.harness_assembly()

if __name__ == '__main__':
    unittest.main()
